Last updated: September 23, 2026

Create App (generic — NOT for SAML)

Create App (generic — NOT for SAML).

Request

POSThttps://superadminuser.miniorange.in/services/api/apps/v1/apps

Authentication headers (required on every request)

Customer-Key
Super Admin ID for the actor account.
Timestamp
Milliseconds since epoch (e.g. Date.now()).
Authorization
SHA-512 of superAdminId + timestamp + apiKey.
X-Target-Customer-Id
Customer tenant the Super Admin is acting on.

Parameters

NameTypeRequiredDescription
appUuidStringOptional
customApplicationNameStringOptional
application_nameStringOptional
appTypeStringOptional
descriptionStringOptional
spEntityIdStringOptional
acsUrlStringOptional

Request body

{
    "appUuid": "5aac7bac-5f22-4855-86bf-56009a028cb3",
    "customApplicationName": "My SAML App",
    "application_name": "Custom SAML App",
    "appType": "SAML",
    "description": "Test app",
    "spEntityId": "https://sp.example.com/entity",
    "acsUrl": "https://sp.example.com/acs"
}

No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.

Copied